Subject: Nov.2-3,2024-PURDUE STELLAR-Q&Q report-Dongjiakou port
From: sdicqd2 <[email-masked]>
To: "[email-masked]" <[email-masked]>, starenergyintl <[email-masked]>
Date: Fri, 8 Nov 2024 19:53:14 +0800 (CST)

Dear Sir，

Pls find the quantity&quality certificate for MV PURDUE STELLAR.

Best regards

--

HUANGDAO CERTIFICATION & INSPECTION  CO., LTD.  (Member of CCIC)

ROOM 1802, 469# CHANGJIANG ZHONG ROAD, HUANGDAO, QINGDAO, CHINA

Tel: 86-532-58718263  

 E-mail: [email-masked]